Subject: Re: [SWIPL] Greying buttons in XPCE

From: Jan Wielemaker <[email-masked]>
Date: Wed, 26 Sep 2001 15:35:26 +0200

On Fri, 24 Aug 2001, Armando Stellato wrote:
>Hi,
>I've used
>send(@button,active,@off) in a a predicate, then button has been greyed,
>but ev'ry time I add a character to any text_item in the dialog, the
>buttons returns black, I never explicitated it to return active. So,
>what have I to do?
>Thanks in advance
>Armando Stellato

If an item is modified, it invokes ->modified_item on the device it
is displayed on, so the device can maintain consistency between its
items.   If you do

?- manpce(dialog->modified_item).

you'll find an explanation of what happens.  If you don't like
this you need to re(de)fine this method.

	Regards --- Jan